package example.codes;

import java.util.ArrayList;
import java.util.List;

import com.silanis.esl.sdk.*;
import com.silanis.esl.sdk.builder.*;

public class SignatureManagement {

	public static void main(String[] args) {
		
		EslClient client = new EslClient (MyInfo.API_KEY_SANDBOX, MyInfo.API_URL_SANDBOX);
		
		PackageId packageId = new PackageId("F0-ZikTc-efqihIkHzOe3KeCSK4=");
		
		String documentId = "92b260f6df96f94c";
		
		//Add a signature
		
		Signature signature = SignatureBuilder.signatureFor("john.smith@mailinator.com")
				  .onPage(0)  
				  .atPosition(215, 510)
				  .withSize(200, 50)
				  .withId(new SignatureId("signature1"))
				  .build();
		
		DocumentPackage createdPackage = client.getPackageService().getPackage(packageId);
		client.getApprovalService().addSignature(createdPackage, documentId, signature);
		
		//Update a signature
		Signature updatedSignature = SignatureBuilder.captureFor("john.smith@mailinator.com")
				  .onPage(0)  
				  .atPosition(215, 510)
				  .withSize(300, 50)
				  .withId(new SignatureId("signature1"))
				  .build();
		
		List<Signature> signatures = new ArrayList<Signature>();
		signatures.add(updatedSignature);
		
		DocumentPackage updatedPackage = client.getPackageService().getPackage(packageId);
		client.getApprovalService().updateSignatures(updatedPackage, documentId, signatures);
		
		//Delete a signature
		client.getApprovalService().deleteSignature(packageId, documentId, new SignatureId("signature1"));
	}

}
